# norootforbuild

%define home_dir    %{_var}/lib/%{name}
%define data_dir    %{home_dir}/data
%define run_dir     %{_var}/run/%{name}
%define cache_dir   %{_var}/cache/%{name}
%define conf_dir    %{_sysconfdir}/%{name}
%define cgi_dir     /srv/www/cgi-bin/
%define apache_conf %{_sysconfdir}/apache2/conf.d/
#
Name:          smokeping
Version:       2.4.2
Release:       2.3
#
Group:         System/Monitoring
License:       GPL v2
#
BuildRoot:     %{_tmppath}/%{name}-%{version}-build
# for path ownership
BuildRequires: apache2-prefork
PreReq:        %insserv_prereq %fillup_prereq
Requires:      perl-Socket6 perl-Net-Telnet perl-Net-DNS
Requires:      perl-IO-Socket-SSL perl-ldap perl-ldap-ssl
Requires:      bind-utils fping echoping curl rrdtool
#
URL:           http://oss.oetiker.ch/smokeping/
Source:        http://oss.oetiker.ch/smokeping/pub/%{name}-%{version}.tar.gz
Source1:       %{name}.init
Source2:       %{name}.conf
Source3:       README.SuSE
Patch:         smokeping-%{version}_no_speedy.patch
Patch1:        smokeping-%{version}_remove_use_lib.patch
Patch2:        smokeping-%{version}_distro_paths.patch
#
Summary:       SmokePing is a network latency monitor
%description
SmokePing is a network latency monitor which works in a way that is similar to
MRTG. It measures network latency to a configurable set of destinations on the
network, and displays its findings in easy-to-read Web pages. SmokePing has
special support for monitoring hosts with dynamic IP addresses. SmokePing uses
RRDtool as its logging and graphing back-end, making the system very efficient.
The presentation of the data on the Web is done through a CGI which creates
graphs on demand.

%package perl
Summary:	perl modules	
Group:		System/Monitoring
Requires:       %name = %version

%description perl
Digest perl modules


%prep
%setup
%patch
%patch1
%patch2
cp %{S:3} .
#
find -name \*.rej -or -name \*.orig -print0 | xargs -r0 rm -v
# as we use cp sometimes we should make sure that the permissions
# are ok
chmod -vR u=rwX,go=rX $PWD
find -type f -print0 | xargs -r0 chmod -v a-x

%build
%{__make}
# fix the paths
for i in {bin,htdocs}/*.dist ; do
    %{__mv} -v "$i" "${i%%.dist}"
done
for i in etc/*.dist ; do
    %{__cp} -v "$i" "${i%%.dist}"
done
# create a clean html doc tree
cp -rv doc html
find html -type f -not -name \*.html -print0 | xargs -r0 rm -v

%install
%{__install} -Dd -m 0755 \
    %{buildroot}%{_sbindir} %{buildroot}%{perl_vendorlib} \
    %{buildroot}%{conf_dir} %{buildroot}%{home_dir} \
    %{buildroot}%{data_dir} %{buildroot}%{cache_dir} \
    %{buildroot}%{run_dir}  %{buildroot}%{cgi_dir}
#
# install scripts
%{__install} -m 0755 bin/* %{buildroot}%{_sbindir}/
%{__install} -m 0755 htdocs/%{name}.cgi %{buildroot}%{cgi_dir}/%{name}
%{__cp} -av htdocs/cropper/ %{buildroot}%{cgi_dir}/
# install perl libraries
cp -av lib/* %{buildroot}%{perl_vendorlib}/
# install config
%{__install} -m 0644 etc/* %{buildroot}%{conf_dir}/
# install man pages
for i in 1 3 5 7 ; do
    %{__install} -m 0755 -Dd %{buildroot}%{_mandir}/man$i/
    %{__install} -m 0644 $(find -name "*$i")  %{buildroot}%{_mandir}/man$i/
done
# init script
%{__install} -D -m 0755 %{S:1} %{buildroot}%{_sysconfdir}/init.d/%{name}
%{__ln_s} -f %{_sysconfdir}/init.d/%{name} %{buildroot}%{_sbindir}/rc%{name}
# apache config
%{__install} -D -m 0644 %{S:2} %{buildroot}%{apache_conf}/%{name}.conf

%clean
%{__rm} -rf %{buildroot}

%pre
/usr/sbin/groupadd -r %{name} &>/dev/null ||:
/usr/sbin/useradd -o -g %{name} -s /bin/false -r -c "user for %{name}" -d %{home_dir} %{name} &>/dev/null ||:

%post
%fillup_and_insserv %{name}

%preun
%stop_on_removal %{name}

%postun
%restart_on_update %{name}
%{insserv_cleanup}

%files
%defattr(-, root, root, 0755)
%dir %attr(0751,root,%{name}) %{conf_dir}
%config(noreplace) %attr(0644,root,%{name}) %{conf_dir}/*
%config(noreplace) %{apache_conf}/%{name}.conf
#
%{_sysconfdir}/init.d/%{name}
%{_sbindir}/rc%{name}
%{_sbindir}/%{name}
%{_sbindir}/tSmoke
%{cgi_dir}/%{name}
%{cgi_dir}/cropper/
#
%{_mandir}/man?/*
%{perl_vendorlib}/BER.pm
%{perl_vendorlib}/Config/
%{perl_vendorlib}/Smokeping/
%{perl_vendorlib}/Smokeping.pm
%{perl_vendorlib}/SNMP_Session.pm
%{perl_vendorlib}/SNMP_util.pm
#
%doc CHANGES CONTRIBUTORS COPYING COPYRIGHT README TODO README.SuSE
%doc doc/examples/ html/
#
%dir %attr(0751,root,root)    %{home_dir}/
%dir %attr(0751,%{name},root) %{data_dir}/
%dir %attr(0751,wwwrun,root)  %{cache_dir}/
%dir %attr(0750,%{name},root) %{run_dir}/

%files perl
%defattr(-, root, root)
%{perl_vendorlib}/Digest
%{perl_vendorlib}/CGI
%{perl_vendorlib}/JSON.pm
%{perl_vendorlib}/JSON
%{perl_vendorlib}/Qooxdoo

%changelog
* Mon Sep  3 2007 mrueckert@suse.de
- fixed typo in the init script
- package cropper
* Fri Aug 31 2007 mrueckert@suse.de
- update to 2.2.2
  * fixed links to slave graphs from chart mode -- tobi
  * minor cosmetic fixes -- tobi
- additional changes from 2.2.1
  * minor cosmetic fixes -- tobi
- additional changes from 2.2.0
  * ** all the new features in this release has been done under
    contract with DynDNS ***
  * Added multi-host function (show data from several links in one
    graph) -- tobi
  * Added stddev caclulation -- tobi
  * Added slave support into detail graphs -- tobi
  * Made interactive Graph zoomer somewhat work on ie6 and ie7
  - - tobi
  * Integrated interactive Graph zoomer
  - - Roman Plessl rplessl oetiker.ch
  * first drop of the master/slave code added. now the debugging
    beginns. -- tobi
  * fix uses of uninitialized value in the loss_background code
  - - niko, reported by yilmaz.atag *abs.gov.au
  * added description of the master/slave mode I am implementing
    for dyndns -- tobi
  * fixed smoke when there is a lot of 'loss' -- tobi
  * do not use 127.0.0.1 when testing echoping and curl
    functionality. There may be someone behind this address.
  - - Michael Hanselmann public hansmi ch
  * show all smoke in the detail graphs, even if it's out of the
    scale. -- niko, reported by
    Oskar Liljeblad <oskar *osk.mine.nu> as Debian bug #412826
- additional changes from 2.1.1
  * fixed scaling of detail graphs. They were all scaled to max_rtt
    if it was defined --tobi
- additional changes from 2.1.0
  * add new echoping 6 plugin probes: EchoPingDNS, EchoPingLDAP,
    EchoPingWhois -- niko
  * don't test echoping or curl usage if running as a CGI --niko
  * bail out at startup with an error message if LC_ALL is set
  - - niko
  * New Presentation option Charts. Charts are based on the new
    'sorter' plugins.  There are sample plugins for Loss, Max,
    Median, StdDev based Charts -- tobi
  * new matcher Medratio (compare two medians) -- tobi
  * fixes for Median matcher -- tobi
  * make the CGI not croak if a password file is not readable.
  - - niko
  * don't die if syslogd is dead -- niko, reported by
    Christoph Biedl <cbiedl *gmx.de> as Debian bug #395056
  * add sourceaddress configurability to FPing probe (requires -S flag)
  - - Norman Rasmussen norman rasmussen.co.za
  * allow . in section names ...
  * in FTPtransfer probe set destfilename to srcfilename if it is
    empty
  * in FTPtransfer probe strip path elements from srcfile when
    building destfile
  * alerts can now have a priority. if multiple prioritized alerts
    match, only the one with the highest priority will cause any
    action. Alerts without priority setting are not affected
    eitherway. --tobi
  * make the LDAP probe 'scope' option actually work. -- niko
  * new probe WebProxyFilter exercies a filtering web proxy
    firewall by requesting banned pages. It tests if the data
    returned from the proxy looks like the page telling users that
    they came upon a banned page. When ever a real page can be
    retreived, a loss is logged. --tobi
  * some touchups to the graph comments to be a bit less 'ping'
    focussed -- tobi
  * configuration option mailtemplate lets you configure the alert
    message content -- tobi
  * added new method ProbeUnit to base.pm in support of
    FTPtransfer.pm -- tobi
  * new probe FTPtransfer.pm added. It measures available bandwidth
    by actually sending data over the wire to test (don't try this
    at home) -- tobi
  * make sure logo images get writen in binary mode or they will
    not be usable on windows -- tobi
  * make PERL binary configurable in Makefile -- tobi
  * fixed echoping test call to be compatible with echoping 6
  - - tobi
  * create a log entry when there are zero replies from a device.
  - - tobi
  * maintaining trunk and branch is not realy sensible the way
    smokeping evolves.  I have merged everything back to trunk
  - - tobi
  * Allow several Mailservers to be specified in Mailhost -- tobi
  * Reduce timeout for Net::SMTP to 5 seconds. -- tobi
  * new feature to color the graph background in sync with the loss
  - - grahame.bo
  * new probe JunOS Telnet ping
  - - Shan Ali Khan shanali *singtel.com
- updated patches smokeping-2.0.8_no_speedy.patch
  smokeping-2.0.9_remove_use_lib.patch
  smokeping-2.0.8_distro_paths.patch
  new names:
  smokeping-2.2.2_no_speedy.patch
  smokeping-2.2.2_remove_use_lib.patch
  smokeping-2.2.2_distro_paths.patch
* Sun Mar  4 2007 mrueckert@suse.de
- updated urls in the spec
